<?php $__env->startSection('content'); ?>
   
<!DOCTYPE html>
<html lang=”en”>
<header>
    <meta charset=”UTF-8”>
    <meta name=”viewport” content=”width=device-width, initial-scale=1.0”>
    <meta http-equiv=”X-UA-Compatible” content=”ie=edge”>
    <title>Recharge Customer Portal URL</title>
    
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <link  rel="stylesheet"  href="https://unpkg.com/@shopify/polaris@5.12.0/dist/styles.css"/>

    <style>
        .pageHeading {
            margin: 2%;
        }
        .containerData {
            margin: 2%;
            padding: 2%;
        }
        .container {
            background: #fff;
            margin: 2%;
        }
        .portalUrl {
            height: 50px;
        }
        .copySection {
            z-index:999;
        }
        .commonErrorMessage, .portalUrl {
            font-size: 16px;
        }
        .input-copy-wrap .input-copy-value{
            display: inline-block;
            width: 80%;
            vertical-align: bottom;
        }
        .input-copy-wrap .input-copy-btn-wrap{
            display: inline-block;
            width: 18%;
            vertical-align: middle;
            margin-left: 10px;
        }
        .input-copy-wrap .input-copy-alert{
            height: 20px;
        }
        @media  only screen and (max-width:1020px){
            .input-copy-wrap .input-copy-value{
            display: inline-block;
            width: 68%;
            vertical-align: bottom;
        }
        .input-copy-wrap .input-copy-btn-wrap{
            display: inline-block;
            width: 28%;
            vertical-align: middle;
            margin-left: 10px;
            }
        }
        @media  only screen and (max-width:567px){
            .input-copy-wrap .input-copy-value {
            display: inline-block;
            width: 62%;
        }
        .input-copy-wrap .input-copy-btn-wrap {
            display: inline-block;
            width: 32%;
            vertical-align: middle;
            }
        }
    </style>
</header>

<body>
<div class="pageHeading">
    <div>
        <h4 class="Polaris-DisplayText Polaris-DisplayText--sizeSmall"><b>Recharge Customer Portal URL</b></h4>
    </div>
</div>

<div class="container">
    <div class="containerData">

    <?php 
    if (empty($responseData['hash'])) {
        $emailAddress = !empty($responseData['email']) ? "(email: ".$responseData['email'].")" : '';
    ?>

        <div class="commonErrorMessage">
            <div class="Polaris-Labelled__Error">
            <div id="PolarisTextField12Error" class="Polaris-InlineError">
                <div class="Polaris-InlineError__Icon"><span class="Polaris-Icon"><svg viewBox="0 0 20 20" 
                class="Polaris-Icon__Svg" focusable="false" aria-hidden="true">
                <path d="M10 18a8 8 0 1 1 0-16 8 8 0 0 1 0 16zM9 9a1 1 0 0 0 2 0V7a1 1 0 1 0-2 0v2zm0 4a1 1 0 1 0 2 0 1 1 0 0 0-2 0z"></path>
                </svg></span></div><div class="ErrorReason">Not found the customer in recharge<?php echo $emailAddress; ?></div>
            </div>
            </div>
        </div>

    <?php } else { 
        
        $rechargePortalUrl = env('RECHARGE_PORTAL_URL', true).$responseData['hash']."/subscriptions";
        ?>
      
        <div class="rowNew">
            <div class="Polaris-Connected">
            <div class="Polaris-Connected__Item Polaris-Connected__Item--primary input-copy-wrap">
                <div class="Polaris-TextField Polaris-TextField--hasValue input-copy-value">
                    <input id="PolarisTextField24" autocomplete="off" class="Polaris-TextField__Input portalUrl" inputmode="url" 
                    aria-labelledby="PolarisTextField24Label" aria-invalid="false" value="<?php echo $rechargePortalUrl; ?>">
                <div class="Polaris-TextField__Backdrop"></div>
                </div>
                <div class="copySection input-copy-btn-wrap">
                    <div class="input-copy-alert">
                    <div class="successCopiedMsg"></div>
                </div>
                <div><button class="Polaris-Button Polaris-Button--primary" id="CopyUrl" type="button">Copy</button></div>
                </div>
                </div>
            </div>
            </div>
            <div id="PolarisPortalsContainer"></div>
        </div>
        <div>
    <?php } ?>
    </div>
</div>

</body>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>
    ##parent-placeholder-16728d18790deb58b3b8c1df74f06e536b532695##

    <script type="text/javascript">
        var AppBridge = window['app-bridge'];
        var actions = AppBridge.actions;
        var TitleBar = actions.TitleBar;
        var Button = actions.Button;
        var Redirect = actions.Redirect;
        var titleBarOptions = {
            title: 'Customer',
        };
        var myTitleBar = TitleBar.create(app, titleBarOptions);
    </script>

<script type="text/javascript" src="https://code.jquery.com/jquery-1.11.3.min.js"></script>
    <script>
        $('#CopyUrl').on('click', function(e) {
            
            var copyText = document.getElementById("PolarisTextField24");
            copyText.select(); //select the text area
            document.execCommand("copy");  
            $('.successCopiedMsg').text('URL Copied').show();
            $('.successCopiedMsg').fadeOut(1500);
        });
    </script>

<?php $__env->stopSection(); ?>

</html>

<?php echo $__env->make('shopify-app::layouts.default', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/nurishp80w/public_html/staging/port80-recharge-portal-url-creation/resources/views/customer.blade.php ENDPATH**/ ?>